Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229450 - Cannot Add Package through Project Properties
Summary: Cannot Add Package through Project Properties
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: anjuta
Version: 6
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Debarshi Ray
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-21 07:29 UTC by mrjianpu
Modified: 2008-04-12 12:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-12 12:58:15 UTC


Attachments (Terms of Use)

Description mrjianpu 2007-02-21 07:29:17 UTC
Description of problem:
If there is no package specified in the "configure.in.tpl" file, user cannot add
package through the Project Properties Packages page after creating a project.

Version-Release number of selected component (if applicable):
Anjuta 2.0.2

How reproducible:
Always

Steps to Reproduce:
1.  Create a C++ console project as usual.
2.  Click Project->Properties->Packages (now the input box is empty).
3.  Click Add Module to add a name, say PACKAGE; then select it.
4.  Click Add Package to add a package, say glibmm-2.4.
5.  Click Close.
6.  Click Build->Run Autogenerate->Ok
7.  Click Build->Build Project

Actual results:
Neither compile nor link options are added during the compile and link
processes.  An inspection of the "configure.in" file shows: 

PKG_CHECK_MODULES(PACKAGE, glibmm-2.4)

The value "glibmm-2.4" is not properly quoted. and both the
AC_SUBST(PACKAGE_CFLAGS) and AC_SUBST(PACKAGE_LIBS) commands are missing.


Expected results:
After the packge is added, the "configure.in" file should contain:

PKG_CHECK_MODULES(PACKAGE, [glibmm-2.4])
AC_SUBST(PACKAGE_CFLAGS)
AC_SUBST(PACKAGE_LIBS)

Comment 1 Debarshi Ray 2008-03-01 14:11:02 UTC
Reassigning to myself because I own this package now.

Comment 2 Bug Zapper 2008-04-04 06:19:24 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 3 Debarshi Ray 2008-04-11 05:11:31 UTC
I am looking into this.

Comment 4 Debarshi Ray 2008-04-12 12:58:15 UTC
With Anjuta 2.2.3 I got the following in configure.ac: (I used glib instead of
glibmm)
PKG_CHECK_MODULES(MODULE, glib-2.0)
AC_SUBST(MODULE_CFLAGS)
AC_SUBST(MODULE_LIBS)

Both "Build->Run Autogenerate->Ok" and "Build->Build Project" completed
successfully.

Please feel free to reopen this if the problem persists.


Note You need to log in before you can comment on or make changes to this bug.